summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Martin Ivanov <tramni@abv.bg>2010-05-11 22:55:21 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:55:21 +0200
commit3136932f6339062353daadd5892ea6d2916c68fd (patch)
treecb638ee09a6d351a14f80ec044bebb637bbb8e55
parentc0c02bc405a0525a318cd1b50945fdd36a991817 (diff)
downloadslackbuilds-3136932f6339062353daadd5892ea6d2916c68fd.tar.gz
slackbuilds-3136932f6339062353daadd5892ea6d2916c68fd.tar.xz
system/lzma: Added to 12.1 repository
-rw-r--r--system/lzma/README6
-rw-r--r--system/lzma/lzma.SlackBuild78
-rw-r--r--system/lzma/lzma.info8
-rw-r--r--system/lzma/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/system/lzma/README b/system/lzma/README
new file mode 100644
index 0000000000..2834114b53
--- /dev/null
+++ b/system/lzma/README
@@ -0,0 +1,6 @@
+The Lempel-Ziv-Markov chain-Algorithm (LZMA) provides very high
+compression ratio and fast decompression.
+The core of the LZMA utils is Igor Pavlov's LZMA SDK containing
+the actual LZMA encoder/decoder. LZMA utils add a few scripts
+which provide gzip-like command line interface and a couple of
+other LZMA related tools.
diff --git a/system/lzma/lzma.SlackBuild b/system/lzma/lzma.SlackBuild
new file mode 100644
index 0000000000..03cf955691
--- /dev/null
+++ b/system/lzma/lzma.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+## Written by Martin Ivanov (tramni@abv.bg)
+## Package Homepage: http://tukaani.org/lzma
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+set -e
+
+PRGNAM=lzma
+VERSION=4.32.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+|| exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING* INSTALL NEWS README THANKS \
+ $CWD/{$PRGNAM.SlackBuild,slack-desc} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+# Fix manpage symlinks:
+( cd $PKG/usr/man
+ for i in `find . -type l` ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+ done
+ gzip -9 */*.?
+)
+
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -d : -f 1 | xargs -r strip --strip-unneeded
+find . | xargs file | grep "shared object" | grep ELF | cut -d : -f 1 | xargs -r strip --strip-unneeded
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/system/lzma/lzma.info b/system/lzma/lzma.info
new file mode 100644
index 0000000000..21f158f0c0
--- /dev/null
+++ b/system/lzma/lzma.info
@@ -0,0 +1,8 @@
+PRGNAM="lzma"
+VERSION="4.32.7"
+HOMEPAGE="http://tukaani.org/lzma"
+DOWNLOAD="http://tukaani.org/lzma/lzma-4.32.7.tar.gz"
+MD5SUM="2a748b77a2f8c3cbc322dbd0b4c9d06a"
+MAINTAINER="Martin Ivanov"
+EMAIL="tramni@abv.bg"
+APPROVED="Erik Hanson"
diff --git a/system/lzma/slack-desc b/system/lzma/slack-desc
new file mode 100644
index 0000000000..5703ade6cc
--- /dev/null
+++ b/system/lzma/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lzma: LZMA utils (High compression utility based on LZMA SDK)
+lzma:
+lzma: LZMA provides very high compression ratio and fast decompression.
+lzma: The core of the LZMA utils is Igor Pavlov's LZMA SDK containing
+lzma: the actual LZMA encoder/decoder. LZMA utils add a few scripts
+lzma: which provide gzip-like command line interface and a couple of
+lzma: other LZMA related tools.
+lzma:
+lzma: Home: http://tukaani.org/lzma/ - http://7-zip.org/sdk.html
+lzma:
+lzma: